Package org.acplt.oncrpc.server

## Class OncRpcServerReplyMessage

- java.lang.Object
- - org.acplt.oncrpc.OncRpcMessage
  - - org.acplt.oncrpc.OncRpcReplyMessage
    - - org.acplt.oncrpc.server.OncRpcServerReplyMessage

- Direct Known Subclasses:
    `OncRpcServerAcceptedCallMessage`

      public class OncRpcServerReplyMessage
      extends OncRpcReplyMessage

  The `OncRpcReplyMessage` class represents an ONC/RPC reply message as defined by ONC/RPC in RFC 1831. Such messages are sent back by ONC/RPC to servers to clients and contain (in case of real success) the result of a remote procedure call.

  This class and all its derived classes can be encoded only. They are not able to encode themselves, because they are used solely on the server side of an ONC/RPC connection.

  The decision to define only one single class for the accepted and rejected replies was driven by the motivation not to use polymorphism and thus have to upcast and downcast references all the time.

  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:51 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `(package private) OncRpcServerAuth` | `auth` | Contains the authentication protocol handling object.

    - ### Fields inherited from class org.acplt.oncrpc.OncRpcReplyMessage

      `acceptStatus, authStatus, highVersion, lowVersion, rejectStatus, replyStatus, UNUSED_PARAMETER`

    - ### Fields inherited from class org.acplt.oncrpc.OncRpcMessage

      `messageId, messageType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OncRpcServerReplyMessage​(OncRpcServerCallMessage call, int replyStatus, int acceptStatus, int rejectStatus, int lowVersion, int highVersion, int authStatus)` | Initializes a new `OncRpcReplyMessage` object and initializes its complete state from the given parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `xdrEncode​(XdrEncodingStream xdr)` | Encodes -- that is: serializes -- a ONC/RPC reply header object into a XDR stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### auth

          OncRpcServerAuth auth

      Contains the authentication protocol handling object.

  - ### Constructor Detail

    - #### OncRpcServerReplyMessage

          public OncRpcServerReplyMessage​(OncRpcServerCallMessage call,
                                          int replyStatus,
                                          int acceptStatus,
                                          int rejectStatus,
                                          int lowVersion,
                                          int highVersion,
                                          int authStatus)

      Initializes a new `OncRpcReplyMessage` object and initializes its complete state from the given parameters.

      Note that depending on the reply, acceptance and rejectance status some parameters are unused and can be specified as `UNUSED_PARAMETER`.

      Parameters:
        `call` - The ONC/RPC call this reply message corresponds to.
        `replyStatus` - The reply status (see `OncRpcReplyStatus`).
        `acceptStatus` - The acceptance state (see `OncRpcAcceptStatus`).
        `rejectStatus` - The rejectance state (see `OncRpcRejectStatus`).
        `lowVersion` - lowest supported version.
        `highVersion` - highest supported version.
        `authStatus` - The autentication state (see `OncRpcAuthStatus`).

  - ### Method Detail

    - #### xdrEncode

          public void xdrEncode​(XdrEncodingStream xdr)
                         throws OncRpcException,
                                java.io.IOException

      Encodes -- that is: serializes -- a ONC/RPC reply header object into a XDR stream.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.